Mein Konto  |  Einkaufswagen  |  

Systemanforderungen

Suitcase TeamSync

  • Ein Extensis.com-Konto für jedes Mitglied Ihres Team
  • Eine Version von Suitcase Fusion 7 oder höher für jedes Mitglied Ihres Team
  • Für die Verwaltung Ihrer Team: Internet Explorer® 10 oder höher, Microsoft Edge, Safari® 7 oder höher, oder die aktuelle Version von Firefox® oder Chrome™

Vollständige Systemanforderungen anzeigen